Subject: RE: IPv6 Extension Headers

From: kishore mundra <[email-masked]>
Date: Tue, 05 Jul 2005 14:41:01 +0530

Hi srinivas,

The destination option header which is coming before routing header is meant
for both the final destination and the intermediate destinations. The
destination header which is coming just before the upper layer header (i.e.
Final Header) is only for the final destination.

Home Address Option is meant for MIPv6 support. In case you are not
supporting it, you need not bother about it.

Regards,
Kishore.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Srinivas Goud
Sent: Wednesday, June 29, 2005 1:18 PM
To: Francis Dupont
Cc: [email-masked]
Subject: Re: IPv6 Extension Headers

Hi Francis, 
Thank you very much for the information.  I am proceeding with the
implementation. How do we distinguish the destination options? 
(intermediate destination / home address destination / final destination)

As per my understanding intermediate destination is the one which is coming
before routing header and final destination is the one which is coming after
routing header. Is my understanding correct?  
I am not having clear idea about home address option.

Regards,
Srinivas.

On 6/28/05, Francis Dupont <[email-masked]> wrote:
>  In your previous mail you wrote:
> 
>    Hi Francis,
>    I have some more queries about RFC2460,  Please let me know the
>    insertion of AH in the following cases:
> 
>    from RFC2460: (section 4.1)
>       Each extension header should occur at most once, except for the
>       Destination Options header which should occur at most twice (once
>       before a Routing header and once before the upper-layer header).
> 
> => in fact the destination options header can occur three times.
> 
>    1. hop + dst                           (you have clarified in previous
mail)
>    2. hop + dst + route                (let me know AH insertion place)
>    3. hop + dst + route + dst        (let me know AH insertion place)
> 
> 
>    from RFC2460: (section 4.1)
>       IPv6 nodes must accept and attempt to process extension headers in
>       any order and occurring any number of times in the same packet,
>       except for the Hop-by-Hop Options header which is restricted to
>       appear immediately after an IPv6 header only.  Nonetheless, it is
>       strongly advised that sources of IPv6 packets adhere to the above
>       recommended order until and unless subsequent specifications revise
>       that recommendation.
> 
> => look at the RFC 3775!
> 
>    1. hop + dst + dst                                               (let
>    me know AH insertion place)
>    2. hop + dst + dst + route + route                          (let me
>    know AH insertion place)
>    3. hop + dst + dst + route + route + dst + dst           (let me know
>    AH insertion place)
>    4. hop + dst + route + dst + dst + route + dst + dst   (let me know AH
>    insertion place)
> 
>    Any help/suggestion is greatly appreciated.
> 
> => in fact you have to look at the destination options:
>  - if they apply to intermediate destination the header must be before
>    the first routing header and after if there is one the hop-by-hop
header,
>    and AH is always after the last routing header.
>  - home address option must be after the last routing header if there is
one,
>    and before the fragmentation header if there is one. AH is always after
>    the fragmentation header.
>  - options for the final destination must be after any IPsec header if
there
>    is one, and before the upper layer and final (i.e., not extension)
header.
>    So AH is always before this kind of destination options header. The 
> only case I don't know if it should supported is where options for 
> intermediate destionations and multiple routing headers are mixed. BTW 
> this case should not happen with current registered destination 
> options and routing header types...
> 
> Regards
> 
> [email-masked]
> 

-- 
Srinivas Goud
"Everything is Nicer when shared with a Friend"

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------